/* -*- c++ -*-
FILE: Main.cpp
RCS REVISION: $Revision: 1.12 $

COPYRIGHT: (c) 1999 -- 2003 Melinda Green, Don Hatch, and Jay Berkenbilt - Superliminal Software

LICENSE: Free to use and modify for non-commercial purposes as long as the
    following conditions are adhered to:
    1) Obvious credit for the source of this code and the designs it embodies
       are clearly made, and
    2) Ports and derived versions of 4D Magic Cube programs are not distributed
       without the express written permission of the authors.

DESCRIPTION:
    This is the entry point of the UNIX portion of the MagicCube4d
    application.
*/

#include "EventHandler.h"

#include <stdio.h>

extern int
main(int argc, char **argv)
{
    // If there is ever more than one machine type, we will need to
    // introduce some mechanism for runtime selection of the machine
    // and create the new machine with a factory method.
    EventHandler(argc, argv, "X").run();
    return 0;
}

// Local Variables:
// c-basic-offset: 4
// c-comment-only-line-offset: 0
// c-file-offsets: ((defun-block-intro . +) (block-open . 0) (substatement-open . 0) (statement-cont . +) (statement-case-open . +4) (arglist-intro . +) (arglist-close . +) (inline-open . 0))
// indent-tabs-mode: nil
// End:
